// for emacs only: -*- C++ -*-

// last update: 11/11/1997

package EDU.rutgers.CORBA.idl.ir;

public class PackageTrack
{
  final int MAX_EMBEDDING = 20;

  int len_;
  String[] id_;

  public PackageTrack()
    {
      id_ = new String[MAX_EMBEDDING];
      len_ = 0;
    }

  public String toString()
    {
      return toString(".");
    }
  
  public String toString(String separator)
    {
      if(len_ == 0)
	return null;
      String str = id_[0];
      for(int i = 1; i < len_; i++)
	str = str + separator + id_[i];
      return str;
    }
  
  public void push(String name)
    {
      id_[len_++] = name;
    }
  
  public void pop()
    {
      id_[--len_] = null; // garbage collection purposes
    }
}
