package EDU.rutgers.act.endpoint.mcast;

public class Semaphore
{
  protected int cells_;

  public Semaphore(int cells)
    {
      cells_ = cells;
    }

  public synchronized void up()
    {
      cells_++;
      this.notify();
    }

  public synchronized void down()
    {
      while(cells_ == 0)
	{
	  try
	    {
	      this.wait();
	    }
	  catch(InterruptedException e) { }
	}
      cells_ --;
    }

  public int get()
    {
      return cells_;
    }
}
