package EDU.rutgers.cbus.protocol.messages;

import java.io.IOException;
import EDU.rutgers.act.protocol.Message;
import EDU.rutgers.act.protocol.MessageFactory;
import EDU.rutgers.act.presentation.TypeReader;

public class CBusEventFactory implements MessageFactory
{
  public Message createFromStream(TypeReader in) throws CBusException
    {
      CBusEvent cbev = new CBusEvent(this);
      try
	{
	  cbev.read(in);
	}
      catch(IOException e)
	{
	  throw new CBusException(e.getMessage());
	}
      return cbev;
    }
}
