// Source file: EDU/rutgers/util/Assert.java
// Subsystem: util
// Module: Assert

package EDU.rutgers.util;

/**
  * Assertion class used to put assertions in the code.
  */
public class Assert 
{
    private static void fail()
    {
        System.err.println("Assertion failed: ");
        
        Throwable error = new Throwable();
        error.printStackTrace();
        System.exit(1);
    }
    
    public static void assert(boolean condition)
    {
        if (condition == false)
        {
            fail();
        }
    }
    
    public static void assert(long longNumber)
    {
        if (longNumber == 0L)
        {
            fail();
        }
    }
    
    public static void assert(double doubleNumber)
    {
        if (doubleNumber == 0.0)
        {
            fail();
        }
    }

    public static void assert(Object objectReference)
    {
        if (objectReference == null)
        {
            fail();
        }
    }
}
