// last update: 08/09/97

package EDU.rutgers.CORBA.clntsrv.PortableServer;

import ORG.omg.CORBA.*;

public class ObjectMap
{
  protected ObjectMapInfo[] table_;
  
  public ObjectMap(int capacity, float load)
    {
      table_ = new ObjectMapInfo[capacity];
    }

  public synchronized ObjectMapInfo put(ObjectMapInfo info)
    {
      int index = byteArrayToInt(info.objectId);
      if(index == -1)
	return null;
      ObjectMapInfo retvalue = table_[index];
      table_[index] = info;
      return retvalue;
    }

  public synchronized ObjectMapInfo get(byte[] oid)
    {
      int index = byteArrayToInt(oid);
      if(index == -1)
	return null;
      return table_[index];
    }
  
  protected int byteArrayToInt(byte[] key)
    {
      int index = -1;
      if(key.length == 1)
	index = key[0];
      else
	if(key.length >= 2)
	  {
	    index = key[0] + (((int)key[1]) << 8);
	    if(index >= table_.length)
	      index %= table_.length;
	  }
      return index;
    }
}
