// for emacs only: -*- C++ -*-

// last update: 08/31/1997

package EDU.rutgers.CORBA.idl.ir;

public class AnyCell extends BaseTypeSpecCell
{
  public AnyCell()
    {
      type_ = T_ANY;
    }

  public void generate(int indent)
    {
      Generator.interfaceWriter_.print("ORG.omg.CORBA.Any");
      Generator.staticStubWriter_.print("ORG.omg.CORBA.Any");
      Generator.staticSkelWriter_.print("ORG.omg.CORBA.Any");
    }

  public String toString()
    {
      return "Any";
    }

  public String toString(int attr)
    {
      if(attr == ParamDclCell.IN)
	return "Any";
      return "AnyHolder";
    }

  public String initialValue()
    {
      return "null";
    }

  void genStubIn (int indent, String prefix)
    {
    }
  
  void genStubOut(int indent, String prefix)
    {
    }
  
  void genSkelIn (int indent, String prefix)
    {
    }
  
  void genSkelOut(int indent, String prefix)
    {
    }
  

  // for debugging
  public void print(int indent)
    {
      printIndent(indent);
      System.out.println("any");
    }
}
