// for emacs only: -*- C++ -*-

// last update: 09/01/1997

package EDU.rutgers.CORBA.idl.ir;

public abstract class Cell
{
  // constants
  final public static int T_SPECIFICATION             = 1;
  final public static int T_INTERFACE_DCL             = 2;
  final public static int T_INTERFACE_HEADER          = 3;
  final public static int T_SEMICOLON                 = 4;
  final public static int T_OP_DECL                   = 5;
  final public static int T_PARAMETER_DCLS            = 6;
  final public static int T_PARAM_DCL                 = 7;
  final public static int T_MODULE                    = 8;
  final public static int T_STRUCT_DCL                = 9;

  final public static int T_OPERATOR                  = 100;

  final public static int T_FLOAT                     = 150;
  final public static int T_DOUBLE                    = 151;
  final public static int T_LONG                      = 152;
  final public static int T_SHORT                     = 153;
  final public static int T_UNSIGNED_LONG             = 154;
  final public static int T_UNSIGNED_SHORT            = 155;
  final public static int T_CHAR                      = 156;
  final public static int T_BOOLEAN                   = 157;
  final public static int T_OCTET                     = 158;
  final public static int T_ANY                       = 159;
  final public static int T_STRING                    = 160;
  final public static int T_SEQUENCE                  = 161;
  final public static int T_VOID                      = 162;
  final public static int T_DEFINED_TYPE              = 163;
  final public static int T_INTERFACE                 = 164;
  final public static int T_TYPE_DEF                  = 165;
  final public static int T_STRUCT                    = 166;

  // data members

  public int type_;

  // constructors

  protected Cell()
    {
    }
  
  void printIndent(int indent, java.io.PrintWriter out)
    {
      for(int i = 0; i < indent; i++)
	{
	  out.print(" ");
	}
    }
  


  // for debugging purposes

  void printIndent(int indent)
    {
      for(int i = 0; i < indent; i++)
	{
	  System.out.print(" ");
	}
    }
}
