// for emacs only: -*- C++ -*-

// last update: 10/19/1997

package EDU.rutgers.CORBA.idl.ir;

public class IdList
{
  public IdList(String id, IdList next)
    {
      id_ = id;
      next_ = next;
    }
  
  public String toString()
    {
      return toString(".");
    }

  public String toString(String separator)
    {
      if(next_ == null)
	return id_;
      return id_ + separator + next_.toString(separator);
    }

  public String lastId()
    {
      if(next_ == null)
	return id_;
      else
	return next_.lastId();
    }
  
  public String id_;
  public IdList next_;
}
