// for emacs only: -*- C++ -*-

// last update: 01/12/1998

package EDU.rutgers.CORBA.idl.ir;

public class MemberList extends Cell
{
  public MemberList(ParamTypeSpecCell type, String id, MemberList next)
    {
      memberType_ = type;
      id_ = id;
      next_ = next;
    }

  public void print(int indent)
    {
      printIndent(indent);
      System.out.print("MEMBER_TYPE: ");
      memberType_.print(0);

      printIndent(indent);
      System.out.println("MEMBER_NAME: " + id_);

      if(next_ != null)
	next_.print(indent);
    }
  
  public ParamTypeSpecCell memberType_;
  public String id_;
  public MemberList next_;
}
