// for emacs only: -*- C++ -*-

// last update: 10/19/1997

package EDU.rutgers.CORBA.idl.ir;

public class ScopedNameCell extends Cell
{
  public ScopedNameCell(boolean fromRoot, IdList ids)
    {
      fromRoot_ = fromRoot;
      ids_ = ids;
    }

  public String toString()
    {
      String modulePath = Generator.packTrack_.toString();
      return (fromRoot_ ? 
                  ""
              : (modulePath == null) ? 
                     ""
                 : modulePath + ".") 
              + ids_.toString();
    }

  public void toRoot()
    {
      if(!fromRoot_)
	{
	  String[] idList = Generator.packTrack_.id_;
	  int len = Generator.packTrack_.len_;

	  if(len != 0)
	    {
	      IdList root, current;
	      root = current = new IdList(idList[0], null);
	      for(int i = 1; i < len; i++)
		{
		  current.next_ = new IdList(idList[i], null);
		  current = current.next_;
		}
	      current.next_ = ids_;
	      ids_ = root;
	    }
	  fromRoot_ = true;
	}
    }

  public boolean fromRoot_;
  public IdList ids_;
}
