package EDU.rutgers.act.endpoint.mcast;

import java.io.*;
import inria.net.lrmp.*;

public class M_OutputStream extends OutputStream {

	private Lrmp lrmprtp;
	private LrmpPacket packet;
		
	public M_OutputStream(Lrmp lrmp){

		lrmprtp=lrmp;

	}

	public void write(byte[] buffer)throws IOException{
		
		write(buffer,0,buffer.length);
 
	}

	public void write(byte[] buffer,int off,int length)throws IOException{

//               System.out.println("Great");
		packet = new LrmpPacket(length);
		System.arraycopy(buffer,0,packet.getDataBuffer(),packet.getOffset(),length);
		packet.setDataLength(length);
		try
		  {
		    lrmprtp.send(packet);
		  }
		catch(Exception e)
		  {
		    throw(new IOException("error sending lrmp packet"));
		  }
	}


	public void write(int i) throws IOException{
                
		byte[] buffer = new byte[1];
		buffer[0] = (byte)i;
		write(buffer,0,1);

	}
}
