// for emacs only: -*- C++ -*-

// last modification 07/13/97

// Aug. 14, 1997
// Modified by Weicong Wang

// 03/29/98 added verbose mode

package EDU.rutgers.act.protocol.tcp;

import EDU.rutgers.util.Verbose;
import EDU.rutgers.act.protocol.*;

public class ServerReceiver implements Receiver
{
  // data members

  protected FSM fsm_;

  // constructors

  public ServerReceiver(FSM fsm)
    {
      fsm_ = fsm;
    }

  public synchronized Message receiveMessage() throws java.io.IOException
    {
                    if(Verbose.verbose)
		      {
			Verbose.print("ServerReceiver",
				      "receiveMessage",
				      "running the FSM");
		      }
      return fsm_.run(null);
    }
}
