package EDU.rutgers.cbus.presentation;

import java.awt.*;
import java.awt.event.*;

import EDU.rutgers.cbus.clntsrv.Communicator;

class B4ActionListener implements ActionListener
{
  protected boolean playing_;
  protected Button button_;
  protected TextField logName_, delay_;
  protected Communicator comm_;

  public B4ActionListener(Button b,
			  TextField logName,
			  TextField delay,
			  Communicator comm)
    {
      playing_ = false;
      button_ = b;
      logName_ = logName;
      delay_ = delay;
      comm_ = comm;
    }
  
  public void actionPerformed(ActionEvent e)
    {
      playing_ = !playing_;
      
      comm_.playEvents(
          playing_,
	  logName_.getText(),
	  Integer.parseInt(delay_.getText()));

      button_.setLabel(playing_?"Stop Playing":"Start Playing");
    }
}
  
