// last modification 5/21/98

package EDU.rutgers.cbus.protocol.actions;

import EDU.rutgers.act.protocol.*;

public class CBusServerDataFactory implements FSMDataFactory
{
  public FSMData createFSMData()
    {
      FSMAction s1 = new CBusServerSTART();
      FSMAction err = new CBusError();
      
      FSMAction[][] fsmTable = 
	{{s1}, // START
	 {err},// EXIT
	 {err}};// ERROR
      
      boolean[] isFinal = {true,true,true};

      FSMData fsmData = 
	new FSMData(fsmTable, isFinal, FSMAction.START);
      
      return fsmData;
    }
}
