// Source file: EDU/rutgers/util/ClosingDialog.java
// Subsystem: util
// Module: ClosingDialog

package EDU.rutgers.util;

import java.awt.*;
import java.awt.event.*;

public abstract class ClosingDialog 
    extends Dialog
    implements WindowListener
{
    public ClosingDialog(Frame owner)
    {
        super(owner);
        addWindowListener(this);
    }
        
    protected abstract void dialogClosing();
    
	public void windowClosing(WindowEvent we)
	{
		dialogClosing();
	}

	/** 
	   Necessary to implement interface <code>WindowListener</code>. 
	   All these functions do nothing.
	*/ 
	public void windowOpened(WindowEvent we) 
	{}
		
	public void windowClosed(WindowEvent we)
	{}
		
	public void windowIconified(WindowEvent we)
	{}

	public void windowDeiconified(WindowEvent we)
	{}

	public void windowActivated(WindowEvent we)
	{}

	public void windowDeactivated(WindowEvent we)
	{}
}