package ORG.omg.CosNaming;


import ORG.omg.CORBA.*;
import EDU.rutgers.CORBA.IOP.IOR;
import EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference;
import EDU.rutgers.act.presentation.TypeWriter;
import EDU.rutgers.act.presentation.TypeReader;

public class NamingContextStub
  extends EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference
  implements NamingContext
{
  public NamingContextStub(IOR ior)
    {
      super(ior);
    }

  public boolean _is_a(
          String logicalTypeId
  )
    {
      TypeWriter out = getTypeWriter("_is_a");
      boolean result = false;
      IOR ior;
      try {
        out.writeString(logicalTypeId);
        TypeReader in = getTypeReader();
        result = in.readBoolean();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

  public void bind(
          ORG.omg.CosNaming.NameComponent[] n,
          ORG.omg.CORBA.Object obj
  )
    {
      TypeWriter out = getTypeWriter("bind");
      IOR ior;
      try {
        out.writeULong(n.length);
        for(int NameInd = 0; NameInd < n.length; NameInd++)
          {
            out.writeString(n[NameInd].id);
            out.writeString(n[NameInd].kind);
          }
        ((ObjectReference)obj).getIOR().write(out);
        TypeReader in = getTypeReader();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
    }

  public void rebind(
          ORG.omg.CosNaming.NameComponent[] n,
          ORG.omg.CORBA.Object obj
  )
    {
      TypeWriter out = getTypeWriter("rebind");
      IOR ior;
      try {
        out.writeULong(n.length);
        for(int NameInd = 0; NameInd < n.length; NameInd++)
          {
            out.writeString(n[NameInd].id);
            out.writeString(n[NameInd].kind);
          }
        ((ObjectReference)obj).getIOR().write(out);
        TypeReader in = getTypeReader();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
    }

  public ORG.omg.CORBA.Object resolve(
          ORG.omg.CosNaming.NameComponent[] n
  )
    {
      TypeWriter out = getTypeWriter("resolve");
      ORG.omg.CORBA.Object result = null;
      IOR ior;
      try {
        out.writeULong(n.length);
        for(int NameInd = 0; NameInd < n.length; NameInd++)
          {
            out.writeString(n[NameInd].id);
            out.writeString(n[NameInd].kind);
          }
        TypeReader in = getTypeReader();
        ior = new IOR();
        ior.read(in);
        result = ORG.omg.CORBA.ObjectHelper.narrow((ORG.omg.CORBA.Object) new ObjectReference(ior));
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

  public void unbind(
          ORG.omg.CosNaming.NameComponent[] n
  )
    {
      TypeWriter out = getTypeWriter("unbind");
      IOR ior;
      try {
        out.writeULong(n.length);
        for(int NameInd = 0; NameInd < n.length; NameInd++)
          {
            out.writeString(n[NameInd].id);
            out.writeString(n[NameInd].kind);
          }
        TypeReader in = getTypeReader();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
    }

  public void destroy(
  )
    {
      TypeWriter out = getTypeWriter("destroy");
      IOR ior;
        TypeReader in = getTypeReader();
    }
}
