package ORG.omg.CosNaming;


import ORG.omg.CORBA.*;
import EDU.rutgers.CORBA.IOP.IOR;
import EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference;
import EDU.rutgers.act.presentation.TypeWriter;
import EDU.rutgers.act.presentation.TypeReader;

public abstract class _NamingContextImplBase
  extends EDU.rutgers.CORBA.clntsrv.PortableServer.Skeleton
  implements NamingContext
{
  public boolean _is_a(
          String logicalTypeId
  )
    {
      return true;
    }

  protected void _is_aInvoke(TypeReader in, TypeWriter out)
    {
      String logicalTypeId = null;
      IOR ior;
      try
	{
          logicalTypeId = in.readString();
          boolean result = _is_a(logicalTypeId);
          out.writeBoolean(result);
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  public abstract void bind(
          ORG.omg.CosNaming.NameComponent[] n,
          ORG.omg.CORBA.Object obj
  );

  protected void bindInvoke(TypeReader in, TypeWriter out)
    {
      ORG.omg.CosNaming.NameComponent[] n = null;
      ORG.omg.CORBA.Object obj = null;
      IOR ior;
      try
	{
          n = new ORG.omg.CosNaming.NameComponent[in.readULong()];
          for(int NameInd = 0; NameInd < n.length; NameInd++)
            {
              n[NameInd] = new ORG.omg.CosNaming.NameComponent();
              n[NameInd].id = in.readString();
              n[NameInd].kind = in.readString();
            }
          ior = new IOR();
          ior.read(in);
          obj = ORG.omg.CORBA.ObjectHelper.narrow((ORG.omg.CORBA.Object) new ObjectReference(ior));
          bind(n, obj);
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  public abstract void rebind(
          ORG.omg.CosNaming.NameComponent[] n,
          ORG.omg.CORBA.Object obj
  );

  protected void rebindInvoke(TypeReader in, TypeWriter out)
    {
      ORG.omg.CosNaming.NameComponent[] n = null;
      ORG.omg.CORBA.Object obj = null;
      IOR ior;
      try
	{
          n = new ORG.omg.CosNaming.NameComponent[in.readULong()];
          for(int NameInd = 0; NameInd < n.length; NameInd++)
            {
              n[NameInd] = new ORG.omg.CosNaming.NameComponent();
              n[NameInd].id = in.readString();
              n[NameInd].kind = in.readString();
            }
          ior = new IOR();
          ior.read(in);
          obj = ORG.omg.CORBA.ObjectHelper.narrow((ORG.omg.CORBA.Object) new ObjectReference(ior));
          rebind(n, obj);
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  public abstract ORG.omg.CORBA.Object resolve(
          ORG.omg.CosNaming.NameComponent[] n
  );

  protected void resolveInvoke(TypeReader in, TypeWriter out)
    {
      ORG.omg.CosNaming.NameComponent[] n = null;
      IOR ior;
      try
	{
          n = new ORG.omg.CosNaming.NameComponent[in.readULong()];
          for(int NameInd = 0; NameInd < n.length; NameInd++)
            {
              n[NameInd] = new ORG.omg.CosNaming.NameComponent();
              n[NameInd].id = in.readString();
              n[NameInd].kind = in.readString();
            }
          ORG.omg.CORBA.Object result = resolve(n);
          ((ObjectReference)result).getIOR().write(out);
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  public abstract void unbind(
          ORG.omg.CosNaming.NameComponent[] n
  );

  protected void unbindInvoke(TypeReader in, TypeWriter out)
    {
      ORG.omg.CosNaming.NameComponent[] n = null;
      IOR ior;
      try
	{
          n = new ORG.omg.CosNaming.NameComponent[in.readULong()];
          for(int NameInd = 0; NameInd < n.length; NameInd++)
            {
              n[NameInd] = new ORG.omg.CosNaming.NameComponent();
              n[NameInd].id = in.readString();
              n[NameInd].kind = in.readString();
            }
          unbind(n);
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  public abstract void destroy(
  );

  protected void destroyInvoke(TypeReader in, TypeWriter out)
    {
      IOR ior;
      try
	{
          destroy();
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  protected void callMethod(String operation,
                            TypeReader in,
                            TypeWriter out)
    {
      if(operation.compareTo("_is_a") == 0)
        {
           _is_aInvoke(in, out);
        }
      else
      if(operation.compareTo("bind") == 0)
        {
           bindInvoke(in, out);
        }
      else
      if(operation.compareTo("rebind") == 0)
        {
           rebindInvoke(in, out);
        }
      else
      if(operation.compareTo("resolve") == 0)
        {
           resolveInvoke(in, out);
        }
      else
      if(operation.compareTo("unbind") == 0)
        {
           unbindInvoke(in, out);
        }
      else
      if(operation.compareTo("destroy") == 0)
        {
           destroyInvoke(in, out);
        }
      else
        { // the operation does not match any operation in this object!
          // send an exception here, but not implemented yet
          System.out.println("Unknown operation!");
        }
    }
}