// for emacs only: -*- C++ -*-

//last modified 12/13/97

package examples.TSTP.actions;

import EDU.rutgers.act.protocol.Message;
import EDU.rutgers.act.protocol.FSMAction;

public interface TSTPAction extends FSMAction
{
  // data members

  public final int REQUEST = 3;

  // - receives:
  //    - 'current' the message that generated this transition
  //    - 'previous' the last sent message
  // - performs some computations in order to
  //    - decide the following state
  //    - decide the message to be transmitted
  // - returns the following state for the FSM and the message
  //     to be transmitted if any, in 'next'
  public int run(Message previous,
		 Message current, 
		 Message[] next);
};
