// for emacs only: -*- C++ -*-

// last modification 12/13/97

package examples.TSTP.actions;

import EDU.rutgers.act.protocol.*;

public class TSTPClientDataFactory implements FSMDataFactory
{
  public FSMData createFSMData()
    {
       FSMAction c1 = new TSTPClientSTARTRequest();
       FSMAction c2 = new TSTPClientREQUESTReply();
       FSMAction err = new TSTPError();

       FSMAction[][] fsmTable = 
	 {{c1,err}, // START
	  {err,err},// EXIT
	  {err,err},// ERROR
	  {err,c2}};// REQUEST
  
       boolean[] isFinal = {false,true,true,false};

       FSMData fsmData =
	 new FSMData(fsmTable, isFinal, TSTPAction.START);

      return fsmData;
    }
}
