// for emacs only: -*- C++ -*-

// last modification 12/13/97

package examples.TSTP.actions;

import EDU.rutgers.act.protocol.*;

public class TSTPServerDataFactory implements FSMDataFactory
{
  public FSMData createFSMData()
    {
   FSMAction s1 = (FSMAction)new TSTPServerSTARTRequest();
   FSMAction s2 = (FSMAction)new TSTPServerREQUESTReply();
   FSMAction err = (FSMAction)new TSTPError();

   FSMAction[][] fsmTable = 
    {{s1,err}, // START
     {err,err},// EXIT
     {err,err},// ERROR
     {err,s2}};// REQUEST
      
   boolean[] isFinal = {false,true,true,true};

   FSMData fsmData = 
     new FSMData(fsmTable, isFinal, TSTPAction.START);

   return fsmData;
    }
}
