package Testing;


import ORG.omg.CORBA.*;
import EDU.rutgers.CORBA.IOP.IOR;
import EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference;
import EDU.rutgers.act.presentation.TypeWriter;
import EDU.rutgers.act.presentation.TypeReader;

public abstract class _ArrayProcessorImplBase
  extends EDU.rutgers.CORBA.clntsrv.PortableServer.Skeleton
  implements ArrayProcessor
{
  public boolean _is_a(
          String logicalTypeId
  )
    {
      return true;
    }

  protected void _is_aInvoke(TypeReader in, TypeWriter out)
    {
      String logicalTypeId = null;
      IOR ior;
      try
	{
          logicalTypeId = in.readString();
          boolean result = _is_a(logicalTypeId);
          out.writeBoolean(result);
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  public abstract boolean revert(
          ArrayHolder arg
  );

  protected void revertInvoke(TypeReader in, TypeWriter out)
    {
      ArrayHolder arg = new ArrayHolder(null);
      IOR ior;
      try
	{
          arg.value = new int[in.readULong()];
          for(int ArrayInd = 0; ArrayInd < arg.value.length; ArrayInd++)
            {
              arg.value[ArrayInd] = in.readLong();
            }
          boolean result = revert(arg);
          out.writeBoolean(result);
          out.writeULong(arg.value.length);
          for(int ArrayInd = 0; ArrayInd < arg.value.length; ArrayInd++)
            {
              out.writeLong(arg.value[ArrayInd]);
            }
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  protected void callMethod(String operation,
                            TypeReader in,
                            TypeWriter out)
    {
      if(operation.compareTo("_is_a") == 0)
        {
           _is_aInvoke(in, out);
        }
      else
      if(operation.compareTo("revert") == 0)
        {
           revertInvoke(in, out);
        }
      else
        { // the operation does not match any operation in this object!
          // send an exception here, but not implemented yet
          System.out.println("Unknown operation!");
        }
    }
}